Bug 57756 - The bookmark editor crashes with too many bookmarks
The bookmark editor crashes with too many bookmarks
Product: Red Hat Linux
Classification: Retired
Component: galeon (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
Depends On:
  Show dependency treegraph
Reported: 2001-12-20 20:56 EST by ajs
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-01-25 15:05:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description ajs 2001-12-20 20:56:00 EST
Description of Problem:
  If the bookmark.xml file becomes too large (somewhere between 456KB and
  522KB), the bookmark editor will cause galeon to crash.

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. Make a big bookmark.xml file
2. Start Galeon
3. Try to edit the bookmarks

Actual Results:
  Galeon dies with
    ** ERROR **: file io-ico.c: line 342 (DecodeHeader): assertion failed:
(State->LineBuf != NULL)

Additional Information:
   Adding new bookmarks and viewing existing ones causes no problems, only
Comment 1 Christopher Blizzard 2002-01-25 15:05:18 EST
Do you have a sample bookmarks file you can offer?
Comment 2 ajs 2002-02-02 16:36:57 EST
I created a test user account so that I could prepare a bookmark file.  The
result is that I can't reproduce the error in the fresh Gnome environment.  I
think now that there is a problem with my Gnome or Galeon configuration
somewhere.  I've tried to rerun the first time Druid in my normal user account,
but that did not help.  Sorry for the false alarm.

Note You need to log in before you can comment on or make changes to this bug.